@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Outfit&display=swap');

*{
    margin:0;
    padding: 0;
    /* overflow: hidden; */
}

body{
    /* overflow: hidden; */
    font-family: "Montserrat", sans-serif;
}
.desktop-navbar{
    /* width:16vw; */
    z-index: 2;
    /* background-color: aquamarine; */
}
.mobile-navbar{
    display:none;
}
.home-page{
    display:flex;
    height:100vh;
    overflow: hidden;
}
.unactive{
color:#888;
}
.active{
/* color: black; */
color: rgb(83,75,102)!important; 

}
.backbtn-container{
    height: 100vh;
    width:16vw;
    position:fixed;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    z-index: 3;
    pointer-events: none;
}
.previous {
    height: 35px;
    width: 35px;
    text-decoration: none;
    /* padding: 12px 24px; */
    margin: 50px;
    z-index: 3;
    font-size: 1.5rem;
    font-weight: 500;
    text-align: center;
    pointer-events: auto;
}

.previous:hover {
  background-color: #ddd;
  color: black;
  cursor:pointer;
}

.previous {
  background-color: #f1f1f1;
  color: black;
}


.round {
  border-radius: 50%;
}
.navbar{
    /* width:20vw; */
    min-width: 16vw;
    height:100vh;
    position:fixed;
    z-index: 3;
    background-color: white;
    /* left: 12px; */

}

/* #langBtn{
    height:50px;
    display: flex;
    z-index: 3;
    position: relative;
    right: -10px;

    list-style-type: none;

}
.divider{
    margin: 16px 16px;
    border:#000 1px solid;
} */

#langList {
    height:22vh;
    /* width:81vw; */
    width:96.4vw; /* HOME PAGE ONLY */
    position:absolute;
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
    z-index: 3;
    font-weight: 450;
}

#langList>li {
  cursor: pointer;
  border-radius: 6px;
  /* color:grey; */
  color:black;
}

#langList>li.active {
 color:black !important;
 font-weight: 520;
}
#langList>.divider{
    border-right:1px solid black;
    height:20px;

}


.menu{
    height: 80vh;
    min-width: 16vw;
    /* position: fixed; */
    /* margin-top: 25vh; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: black;
}
.menu>ul{
    list-style-type: none;
    margin-top: 0%;
    position: relative;
    /* top: -24px; */
    margin: -10px -40px 0px 0px;

}
li{
    margin:7px 0;
    font-size: 1.2rem;
    list-style: none;
}
li a{
    text-decoration: none;
    /* color:#7c7a7ad0; */
    color:#888;
    transition: 1s ease;
    
}
li a:hover{
    color:black;
}
/* .un {
  display: inline-block;
}
.un::after {
  content: '';
  width: 0px;
  height: 1px;
  display: block;
  background: black;
  transition: 300ms;
}

.un:hover::after {
  width: 100%;
} */


    #logoStatic{
        height: 80vh;
        min-width: 16vw;
        position: absolute;
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 4;
        display: none;

    }
    #logoStatic img{
        height: 10vh;
        margin: 0 10px;;
    }
#logo{

}
#logo>img{
    height: 90px;
    width: auto;
    /* margin: 60px 0px 0px 0px; */
}
#logoBApparel{
    height:100px;
    width:250px;
    margin:60px 0px 0px 0px;
 
}
.color-bars{
    /* width:100vw;
    height: 120vh; */
    /*transform: rotateX(180deg) translateX(-13.5%) translateY(12%) rotate(3deg);
    position:absolute; */
/* transform: rotateX(180deg) translateX(-25.5%) translateY(12%) rotate(3deg);    position:relative; */
/* transform: rotateX(180deg) translateX(-25%) translateY(9%) rotate(3deg) scale(1.1);
    background-image: url('../img/leftdesign.png');
    background-size: contain;
    background-repeat:no-repeat; */
    pointer-events: none;
    z-index: 3;  
      
}
.color-bars>img{
    height: 120vh;
    position: relative;
    left: -6vw;
    transform: rotateX(180deg) translateX(-25%) translateY(9%) rotate(3deg) scale(1.1);
}
.rectangle-curves{
    width:100vw;
    overflow: hidden;
}
.rectangle-curves img{
    height:100vh;
    position:fixed;
    right:0%;
    object-fit: contain;
    opacity: 0.8;
}

.manifest{
    min-height: 100vh;
    width:92vw;
    max-width: 1300px;
    position:relative;
    display: flex;
    flex-direction: column;
    margin-left: 8vw;
}

.manifest>.text{
    margin: 110px 180px 24px;
    /* background-color: rgba(255, 255, 255, 0.8); */
    padding:10px;
    border-radius: 10px;
    

}
.manifest> .text>p{
    line-height: 32px;
    font-size: 1.2rem;
    margin:16px;
    text-align: justify;
}



.manifest> .education{
     margin: 0px 180px 50px;
    /* background-color: rgba(255, 255, 255, 0.8); */
    padding:10px;
    border-radius: 10px;
}

.education-item{
    margin: 16px 16px;
}
.education-title{
    font-size: 1.2rem;
    line-height: 32px;
}
.education-institution{
    font-size: 1rem;
}

.projects{
    width: 70vw;
    /* height: 100vh; */
    /* margin-left: 10vw; */
    margin:auto;
    margin-top: 20vh;
    margin-bottom: 10vh;

    /* background-color: lime; */
    position: relative;
    display: flex;
   
}
.images{
    /* background-color: tomato; */

    display: flex;
    /* justify-content:center; */
    align-items:flex-start;
    flex-wrap:wrap;
    position: relative;
    /* left: -24px; */
    /* max-width: 1500px; */
}

.vertical-alone{
    width:25vw;
    justify-self: left;
}

.individual-project{
    height: 260px;
    width:340px;
    position:relative;
    background-color: white;
    margin:10px;
   display:flex;
   overflow: hidden;
   
   
}
.individual-design-project{
    height: 260px;
    width: 340px;
    position:relative;
    background-color: white;
    margin:10px;
   display:flex;
   justify-content: center;
   overflow: hidden;
}
.individual-project>a>img, .individual-design-project>a>img{
    height:100%;
    width:100%;
    object-fit: cover;
    display: block;
}
.individual-project a:hover, .individual-design-project a:hover{
   
    transition:0.5s ease-in-out;
}
.individual-project a:hover>p, .individual-design-project a:hover>p{
    opacity:1;
    font-weight: 400;
    transition:0.5s ease-in-out;
}

.individual-project a , .individual-design-project a{
    text-decoration: none;
    color:black;

}
.individual-project>a>p, .individual-design-project>a>p{
    width:100%;
    height: 100%;
    top:0;
    left:0;
    position:absolute;
    background:rgba(0,0,0, 0.6);
    opacity:0;
    display: flex;
    justify-content: center;
    align-items: center;
    transition:0.6s;
    color:white;

}



.carousel {
    position: relative;
    width: 100vw;
    height: 100vh;
    left: 2vw;
    z-index: 1;
    /* left: 23px; */
  }
  
  .carousel-image{
    position: absolute;
    right: 0vw;
    width:86vw;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    pointer-events: none;
    transition:  6s ease;
  }
  




  /* OVERLAY DE TRANSICIÓN */
#transition-overlay {
    position: fixed;
    inset: 0;
    pointer-events: none;
    z-index: 9999;
    background-size: cover;
    background-position: center;
    opacity: 0;
    transition: opacity 0.6s ease;
}

/* fade in al entrar */
#transition-overlay.fade-in {
    opacity: 1;
}

/* fade out al salir */
#transition-overlay.fade-out {
    opacity: 1;
}

